Loading...
Searching...
No Matches
Factor.h File Reference

The base class for all factors. More...

Go to the source code of this file.

## Classes

class | gtsam::Factor

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef FastVector< FactorIndex > | gtsam::FactorIndices
| Define collection types:
typedef FastSet< FactorIndex > | gtsam::FactorIndexSet

## Detailed Description

The base class for all factors.

Author
  Kai Ni
  Frank Dellaert
  Richard Roberts